ServerEvents.tags('block', Capy.removeTagFromBlock(['minecraft:iron_ore', 'minecraft:deepslate_iron_ore'], 'minecraft:needs_stone_tool'));
ServerEvents.tags('block', Capy.removeTagFromBlock(['minecraft:lapis_ore', 'minecraft:deepslate_lapis_ore'], 'minecraft:needs_stone_tool'));
ServerEvents.tags('block', Capy.removeTagFromBlock(['minecraft:gold_ore', 'minecraft:deepslate_gold_ore'], 'minecraft:needs_iron_tool'));
ServerEvents.tags('block', Capy.removeTagFromBlock(['minecraft:diamond_ore', 'minecraft:deepslate_diamond_ore'], 'minecraft:needs_iron_tool'));
ServerEvents.tags('block', Capy.removeTagFromBlock(['minecraft:emerald_ore', 'minecraft:deepslate_emerald_ore'], 'minecraft:needs_iron_tool'));
ServerEvents.tags('block', Capy.removeTagFromBlock(['minecraft:obsidian'], 'minecraft:needs_diamond_tool'));
ServerEvents.tags('block', Capy.removeTagFromBlock(['mekanism:osmium_ore', 'mekanism:deepslate_osmium_ore'], 'minecraft:needs_stone_tool'));
ServerEvents.tags('block', Capy.removeTagFromBlock(['mekanism:uranium_ore', 'mekanism:deepslate_uranium_ore'], 'minecraft:needs_stone_tool'));
ServerEvents.tags('block', Capy.removeTagFromBlock(['oritech:deepslate_uranium_ore'], 'minecraft:needs_iron_tool'));
ServerEvents.tags('block', Capy.removeTagFromBlock(['immersiveengineering:ore_uranium', 'immersiveengineering:deepslate_ore_uranium'], 'minecraft:needs_iron_tool'));
ServerEvents.tags('block', Capy.removeTagFromBlock(['mekanism:fluorite_ore', 'mekanism:deepslate_fluorite_ore'], 'minecraft:needs_stone_tool'));
ServerEvents.tags('block', Capy.removeTagFromBlock(['immersiveengineering:ore_lead', 'immersiveengineering:deepslate_ore_lead'], 'minecraft:needs_iron_tool'));
ServerEvents.tags('block', Capy.removeTagFromBlock(['immersiveengineering:ore_aluminum', 'immersiveengineering:deepslate_ore_aluminum'], 'minecraft:needs_stone_tool'));
ServerEvents.tags('block', Capy.removeTagFromBlock(['immersiveengineering:ore_silver', 'immersiveengineering:deepslate_ore_silver'], 'minecraft:needs_iron_tool'));
ServerEvents.tags('block', Capy.removeTagFromBlock(['tfmg:nickel_ore', 'tfmg:deepslate_nickel_ore'], 'minecraft:needs_stone_tool'));
ServerEvents.tags('block', Capy.removeTagFromBlock(['oritech:nickel_ore'], 'minecraft:needs_stone_tool'));
ServerEvents.tags('block', Capy.removeTagFromBlock(['create:zinc_ore', 'create:deepslate_zinc_ore'], 'minecraft:needs_iron_tool'));
ServerEvents.tags('block', Capy.removeTagFromBlock(['oritech:deepslate_platinum_ore', 'oritech:endstone_platinum_ore'], 'minecraft:needs_iron_tool'));
ServerEvents.tags('block', Capy.removeTagFromBlock(['tfmg:lithium_ore', 'tfmg:deepslate_lithium_ore'], 'minecraft:needs_stone_tool'));
ServerEvents.tags('block', Capy.removeTagFromBlock(['minecraft:diamond_block'], 'minecraft:needs_iron_tool'));
ServerEvents.tags('block', Capy.removeTagFromBlock(['minecraft:lapis_block'], 'minecraft:needs_stone_tool'));
ServerEvents.tags('block', Capy.removeTagFromBlock(['minecraft:emerald_block'], 'minecraft:needs_iron_tool'));
ServerEvents.tags('block', Capy.removeTagFromBlock(['minecraft:gold_block'], 'minecraft:needs_iron_tool'));
ServerEvents.tags('block', Capy.removeTagFromBlock(['minecraft:raw_gold_block'], 'minecraft:needs_iron_tool'));
ServerEvents.tags('block', Capy.removeTagFromBlock(['minecraft:iron_block'], 'minecraft:needs_stone_tool'));
ServerEvents.tags('block', Capy.removeTagFromBlock(['minecraft:raw_iron_block'], 'minecraft:needs_stone_tool'));

ServerEvents.tags('block', event => {
	event.removeAll('immersiveengineering:incorrect_for_steel_tool');
	event.removeAll('mekanismtools:incorrect_for_bronze_tool');
	event.removeAll('mekanismtools:incorrect_for_osmium_tool');
	event.removeAll('mekanismtools:incorrect_for_lapis_lazuli_tool');
	event.removeAll('mekanismtools:incorrect_for_osmium_tool');
	event.removeAll('mekanismtools:incorrect_for_refined_glowstone_tool');
	event.removeAll('mekanismtools:incorrect_for_refined_obsidian_tool');
	event.removeAll('mekanismtools:incorrect_for_steel_tool');
});